ChangeSet 1.1747, 2004/05/18 15:57:20-07:00, greg@kroah.com

USB: clean up usages of wait_ms() now that we have msleep()


 drivers/usb/host/ehci-hcd.c         |    2 +-
 drivers/usb/host/ehci-hub.c         |    2 +-
 drivers/usb/input/aiptek.c          |    2 +-
 drivers/usb/misc/usbtest.c          |    2 +-
 drivers/usb/net/usbnet.c            |    2 +-
 drivers/usb/serial/io_ti.c          |    4 ++--
 drivers/usb/storage/datafab.c       |    2 +-
 drivers/usb/storage/isd200.c        |    4 ++--
 drivers/usb/storage/jumpshot.c      |    2 +-
 drivers/usb/storage/shuttle_usbat.c |   14 +++++++-------
 10 files changed, 18 insertions(+), 18 deletions(-)


diff -Nru a/drivers/usb/host/ehci-hcd.c b/drivers/usb/host/ehci-hcd.c
--- a/drivers/usb/host/ehci-hcd.c	Tue May 18 17:05:36 2004
+++ b/drivers/usb/host/ehci-hcd.c	Tue May 18 17:05:36 2004
@@ -297,7 +297,7 @@
 
 		/* and wait a while for it to happen */
 		do {
-			wait_ms (10);
+			msleep(10);
 			msec -= 10;
 			pci_read_config_dword (to_pci_dev(ehci->hcd.self.controller), where, &cap);
 		} while ((cap & (1 << 16)) && msec);
diff -Nru a/drivers/usb/host/ehci-hub.c b/drivers/usb/host/ehci-hub.c
--- a/drivers/usb/host/ehci-hub.c	Tue May 18 17:05:36 2004
+++ b/drivers/usb/host/ehci-hub.c	Tue May 18 17:05:36 2004
@@ -118,7 +118,7 @@
 		writel (temp, &ehci->regs->port_status [i]);
 	}
 	i = HCS_N_PORTS (ehci->hcs_params);
-	wait_ms (20);
+	msleep (20);
 	while (i--) {
 		temp = readl (&ehci->regs->port_status [i]);
 		if ((temp & PORT_SUSPEND) == 0)
diff -Nru a/drivers/usb/input/aiptek.c b/drivers/usb/input/aiptek.c
--- a/drivers/usb/input/aiptek.c	Tue May 18 17:05:36 2004
+++ b/drivers/usb/input/aiptek.c	Tue May 18 17:05:36 2004
@@ -922,7 +922,7 @@
 		kfree(buf);
 		return -EIO;
 	}
-	wait_ms(aiptek->curSetting.programmableDelay);
+	msleep(aiptek->curSetting.programmableDelay);
 
 	if ((ret =
 	     aiptek_get_report(aiptek, 3, 2, buf, sizeof_buf)) != sizeof_buf) {
diff -Nru a/drivers/usb/misc/usbtest.c b/drivers/usb/misc/usbtest.c
--- a/drivers/usb/misc/usbtest.c	Tue May 18 17:05:36 2004
+++ b/drivers/usb/misc/usbtest.c	Tue May 18 17:05:36 2004
@@ -1073,7 +1073,7 @@
 	/* unlinking that should always work.  variable delay tests more
 	 * hcd states and code paths, even with little other system load.
 	 */
-	wait_ms (jiffies % (2 * INTERRUPT_RATE));
+	msleep (jiffies % (2 * INTERRUPT_RATE));
 retry:
 	retval = usb_unlink_urb (urb);
 	if (retval == -EBUSY || retval == -EIDRM) {
diff -Nru a/drivers/usb/net/usbnet.c b/drivers/usb/net/usbnet.c
--- a/drivers/usb/net/usbnet.c	Tue May 18 17:05:36 2004
+++ b/drivers/usb/net/usbnet.c	Tue May 18 17:05:36 2004
@@ -720,7 +720,7 @@
 					(gpio_bits >> (i * 8)) & 0xff, 0, 0,
 					buf)) < 0)
 			return ret;
-		wait_ms(5);
+		msleep(5);
 	}
 
 	if ((ret = ax8817x_write_cmd(dev, AX_CMD_WRITE_RX_CTL, 0x80, 0, 0, buf)) < 0) {
diff -Nru a/drivers/usb/serial/io_ti.c b/drivers/usb/serial/io_ti.c
--- a/drivers/usb/serial/io_ti.c	Tue May 18 17:05:36 2004
+++ b/drivers/usb/serial/io_ti.c	Tue May 18 17:05:36 2004
@@ -552,7 +552,7 @@
 			break;
 
 		/* Block the thread for 10ms */
-		wait_ms (10);
+		msleep(10);
 
 		if (last_count == port->tx.count) {
 			/* No activity.. count down. */
@@ -581,7 +581,7 @@
 		/* This function takes 4 ms; */
 		if (!TIIsTxActive (port)) {
 			/* Delay a few char times */
-			wait_ms (50);
+			msleep(50);
 			dbg ("%s - Empty", __FUNCTION__);
 			return;
 		}
diff -Nru a/drivers/usb/storage/datafab.c b/drivers/usb/storage/datafab.c
--- a/drivers/usb/storage/datafab.c	Tue May 18 17:05:36 2004
+++ b/drivers/usb/storage/datafab.c	Tue May 18 17:05:36 2004
@@ -321,7 +321,7 @@
 			goto leave;
 		}
 
-		wait_ms(20);
+		msleep(20);
 	}
 
 	rc = USB_STOR_TRANSPORT_ERROR;
diff -Nru a/drivers/usb/storage/isd200.c b/drivers/usb/storage/isd200.c
--- a/drivers/usb/storage/isd200.c	Tue May 18 17:05:36 2004
+++ b/drivers/usb/storage/isd200.c	Tue May 18 17:05:36 2004
@@ -806,7 +806,7 @@
 		retStatus = ISD200_ERROR;
 	} else {
 		/* delay 10ms to give the drive a chance to see it */
-		wait_ms(10);
+		msleep(10);
 
 		transferStatus = isd200_action( us, ACTION_REENABLE, NULL, 0 );
 		if (transferStatus != ISD200_TRANSPORT_GOOD) {
@@ -814,7 +814,7 @@
 			retStatus = ISD200_ERROR;
 		} else {
 			/* delay 50ms to give the drive a chance to recover after SRST */
-			wait_ms(50);
+			msleep(50);
 		}
 	}
 
diff -Nru a/drivers/usb/storage/jumpshot.c b/drivers/usb/storage/jumpshot.c
--- a/drivers/usb/storage/jumpshot.c	Tue May 18 17:05:36 2004
+++ b/drivers/usb/storage/jumpshot.c	Tue May 18 17:05:36 2004
@@ -253,7 +253,7 @@
 			if (result != USB_STOR_TRANSPORT_GOOD) {
 				// I have not experimented to find the smallest value.
 				//
-				wait_ms(50); 
+				msleep(50); 
 			}
 		} while ((result != USB_STOR_TRANSPORT_GOOD) && (waitcount < 10));
 
diff -Nru a/drivers/usb/storage/shuttle_usbat.c b/drivers/usb/storage/shuttle_usbat.c
--- a/drivers/usb/storage/shuttle_usbat.c	Tue May 18 17:05:36 2004
+++ b/drivers/usb/storage/shuttle_usbat.c	Tue May 18 17:05:36 2004
@@ -202,13 +202,13 @@
 		}
 
 		if (i<500)
-			wait_ms(10); // 5 seconds
+			msleep(10); // 5 seconds
 		else if (i<700)
-			wait_ms(50); // 10 seconds
+			msleep(50); // 10 seconds
 		else if (i<1200)
-			wait_ms(100); // 50 seconds
+			msleep(100); // 50 seconds
 		else
-			wait_ms(1000); // X minutes
+			msleep(1000); // X minutes
 	}
 
 	US_DEBUGP("Waited not busy for %d minutes, timing out.\n",
@@ -691,7 +691,7 @@
 
 	US_DEBUGP("INIT 1\n");
 
-	wait_ms(2000);
+	msleep(2000);
 
 	if (usbat_read_user_io(us, status) !=
 			USB_STOR_XFER_GOOD)
@@ -725,7 +725,7 @@
 
 	US_DEBUGP("INIT 5\n");
 
-	wait_ms(250);
+	msleep(250);
 
 	// Write 0x80 to ISA port 0x3F
 
@@ -776,7 +776,7 @@
 
 	US_DEBUGP("INIT 12\n");
 
-	wait_ms(1400);
+	msleep(1400);
 
 	if (usbat_read_user_io(us, status) !=
 			USB_STOR_XFER_GOOD)
